## Software Requirements

### Python Packages
This code was run using python >= 3.7.
You can install the required libraries by running `pip install
requirements.txt` from this folder.

### Selenium Virtual Browser (Geckodriver/Firefox) Setup
The scraper uses a virtual browser run via the python package
`selenium`. While `selenium` is installed through the above command,
you need to download the virtual browser used by `selenium`
separately.

Here, we use the `geckodriver` i.e. Firefox. Download the latest
version from [this
link](https://github.com/mozilla/geckodriver/releases) and place it in
the `usr/local/bin/` directory. The full path to the `geckodriver`
file should be `/usr/local/bin/geckodriver`. 

For the last step, make sure that the `geckodriver` file is
executable. This can be done by running the following command:
`chmod +x /usr/local/bin/geckodriver`. You may need sudo privileges to
run this command, depending on your system setup.

**Note:** If your geckodriver resides in a different path, these can
be specified as command line arguments to the `_04_get_cause_lists.py`
file. Run `python _04_get_cause_lists.py -h` on that file for more info.

## Summary list

bs4==0.0.1
pandas==1.0.1
numpy==1.18.1
selenium==3.141.0
fastscript==0.1.4
requests==2.22.0

---

## Using The Scraper Out of The Box

If you have the software requirements set up, you can use the
`_04_get_cause_lists.py` file right out of the box as the output files
from scripts 01-03 have already been generated and saved. Re-run them only
when new courts/benches are added to the NCLT website as they can be
unstable due to the wretched NCLT servers.




